Skip to main content
Cardiff Rugby Online Museum
  • Objects
    • All Objects
    • Featured Objects
    • Recently Added
    • By Category
    • By Keyword
    • Collections
    • Timeline
    • Recently Updated
  • By Season
  • Articles
  • Acknowledgements
  • About CF10
  • Contact Us
  • Search

South Africa

Jersey
Jersey - Southern Kings
Read more »
Jersey
Jersey - Toyota Cheetahs
Read more »
Jersey
Jersey - Transvaal RU
Read more »
Jersey
1963/1964
Jersey - Wales 1964
Jersey worn by Dai Haywood Read more »
Letter
1951/1952
Letter - From the South African Rugby Touring Team 1952
Read more »
Other
1966/1967
Manager's Report of Cardiff's Tour to South Africa 1967
Report by tour manager Lyn Williams Read more »
Menu
1906/1907
Menu - Cardiff v South Africa 1907
Read more »
Menu
1960/1961
Menu - Cardiff v South Africa Buffet 1960
Read more »
Menu
1966/1967
Menu - Dinner For Cardiff Touring Team - Houses Of Parliament Cape Town 1967
Read more »
Other
Mourning Card - Cardiff v South Africa 1907
Read more »
Pennant
Pennant - South Africa
Read more »
Photograph
Photograph - Bleddyn Williams With South African Supporters
In Cardiff Athletic Club's members bar. Read more »
Photograph
1951/1952
Photograph - Cardiff Arms Park during Cardiff RFC v South Africa 1951
Read more »
Photograph
1951/1952
Photograph - Cardiff RFC 1951 with South Africa
Cardiff 9 - 11 South Africa Read more »
Photograph
1951/1952
Photograph - Cardiff RFC 1952 Film Show and "Brains Trust"
Read more »
Photograph
1966/1967
Photograph - Cardiff RFC 1967 Tour of South Africa 1967
Read more »

Pages

  • « first
  • ‹ previous
  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7
  • next ›
  • last »

Copyright © CF10 Rugby Trust 2026. All rights Reserved. Admin Login/Logout
All content on this website is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.